/*
 * put your module comment here
 * formatted with JxBeauty (c) johann.langhofer@nextra.at
 */


package  phoneListServer.business;

import  phoneListServer.data.PersonDO;
import org.apache.log4j.Logger;

/**
 * Person defines the business level methods available to modify
 * a person.  This object would enforce any business logic....
 * it isn't really used by this demo.
 */
public class Person {
  private PersonDO p;

  protected Person (PersonDO p) {
    this.p = p;
  }

  public String getFirstName () {
    try {
      return  p.getFirstName();
    } catch (Exception e) {
      Logger.getLogger("org.enhydra.PhoneBookSoapServer").debug(e);
      return  "";
    }
  }

  public String getLastName () {
    try {
      return  p.getLastName();
    } catch (Exception e) {
      Logger.getLogger("org.enhydra.PhoneBookSoapServer").debug(e);
      return  "";
    }
  }

  public String getPhoneNumber () {
    try {
      return  p.getPhoneNumber();
    } catch (Exception e) {
      Logger.getLogger("org.enhydra.PhoneBookSoapServer").debug(e);
      return  "";
    }
  }

  public String getId () throws Exception {
    try {
      return  "" + p.getOId();
    } catch (Exception e) {
      Logger.getLogger("org.enhydra.PhoneBookSoapServer").debug(e);
      return  "";
    }
  }
}



